JUCE: InterProcessLock Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
InterProcessLock Class Reference
juce_core » threads

Acts as a critical section which processes can use to block each other. More...

`#include <juce_InterProcessLock.h>`

## Classes
class | ScopedLockType
| Automatically locks and unlocks an InterProcessLock object. More...

## Public Member Functions
| InterProcessLock (const String &name)
| Creates a lock object.
| ~InterProcessLock ()
| Destructor.
bool | enter (int timeOutMillisecs=-1)
| Attempts to lock the critical section.
void | exit ()
| Releases the lock if it's currently held by this process.

## Detailed Description

Acts as a critical section which processes can use to block each other.

See also
  CriticalSection

## Constructor & Destructor Documentation

## ◆ InterProcessLock()

InterProcessLock::InterProcessLock | ( | const String & | name | ) |
| explicit

Creates a lock object.

Parameters

  name | a name that processes will use to identify this lock object

## ◆ ~InterProcessLock()

InterProcessLock::~InterProcessLock | ( |  | ) |

Destructor.

This will also release the lock if it's currently held by this process.

## Member Function Documentation

## ◆ enter()

bool InterProcessLock::enter | ( | int | timeOutMillisecs = -1 | ) |

Attempts to lock the critical section.

Parameters

  timeOutMillisecs | how many milliseconds to wait if the lock is already held by another process - a value of 0 will return immediately, negative values will wait forever

Returns
  true if the lock could be gained within the timeout period, or false if the timeout expired.

Referenced by InterProcessLock::ScopedLockType::ScopedLockType().

## ◆ exit()

void InterProcessLock::exit | ( |  | ) |

Releases the lock if it's currently held by this process.

The documentation for this class was generated from the following file:

- juce_InterProcessLock.h